import axios from '@/libs/axios.js'

// 分页查询调回单列表
export const shelfRecallList = (params) => {
	let url = `shelfRecall/queryPage/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		data: params,
		method: 'post'
	})
}
// 查询调回单信息
export const shelfRecallFindBySn = (params) => {
	return axios.request({
		url: `shelfRecall/findBySn/${params.sn}`,
		method: 'get'
	})
}
// 查询调回单详情列表
export const detailQueryCount = (params) => {
	return axios.request({
		url: `shelfRecall/detail/queryCount`,
		data: params,
		method: 'post'
	})
}
// 查询调回单详情列表
export const shelfRecallDetail = (params) => {
	return axios.request({
		url: `shelfRecall/detail/queryList`,
		data: params,
		method: 'post'
	})
}
// 确认调回
export const shelfRecallConfirm = (params) => {
	return axios.request({
		url: `shelfRecall/confirm`,
		data: params,
		method: 'post'
	})
}
// 查询每个状态的数据条数
export const queryStateCount = (params) => {
	return axios.request({
		url: `shelfRecall/queryStateCount`,
		data: params,
		method: 'post'
	})
}